Page MenuHomePhabricator

Replace Article::doEditContent() with WikiPage::doEditContent()
Closed, ResolvedPublic

Description

Article::doEditContent() is just a thin wrapper for WikiPage::doEditContent()

It is already hard deprecated, but the following extensions have uses that still need to be replaced:

  • extensions / BlueSpiceFoundation
  • extensions / SocialProfile
  • extensions / BlueSpiceGroupManager
  • extensions / MassEditRegex
  • extensions / OfflineImportLexicon
  • extensions / SemanticImageAnnotator

Event Timeline

Reedy created this task.Jan 19 2017, 2:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2017, 2:53 AM

Change 332936 had a related patch set uploaded (by Reedy):
Mark Article::doEditContent() as deprecated

https://gerrit.wikimedia.org/r/332936

Change 332936 merged by jenkins-bot:
Mark Article::doEditContent() as deprecated

https://gerrit.wikimedia.org/r/332936

Reedy moved this task from Unsorted to Migrate / Replace on the Technical-Debt board.
D3r1ck01 closed this task as Resolved.Jan 21 2019, 2:37 PM
D3r1ck01 assigned this task to Reedy.
D3r1ck01 added a subscriber: D3r1ck01.

This can be resolved as I do not find this anywhere anymore via CS: https://codesearch.wmflabs.org/search/?q=Article%3A%3AdoEditContent&i=nope&files=&repos= apart from a comment in NewUserMessage.class.php and obviously, the history.

Daimona reopened this task as Open.Jan 9 2020, 10:48 AM
Daimona added a subscriber: Daimona.

This can be resolved as I do not find this anywhere anymore via CS: https://codesearch.wmflabs.org/search/?q=Article%3A%3AdoEditContent&i=nope&files=&repos= apart from a comment in NewUserMessage.class.php and obviously, the history.

This is not enough, because the method is not static. I'm fairly confident that there are other uses outside of WMF-deployed stuff. For instance, here.

Since the functions have the same names, searching for the ->doEditContent\( returns both the old and the new, and call each needs to be checked:
To fix

  • extensions / BlueSpiceFoundation
  • extensions / SocialProfile
  • extensions / BlueSpiceGroupManager
  • extensions / MassEditRegex
  • extensions / OfflineImportLexicon
  • extensions / SemanticImageAnnotator

No remaining article calls:

* Core
* extensions / Translate
* extensions / Wikibase
* extensions / Flow
* extensions / MassMessage
* edwardspec / mediawiki-moderation
* extensions / Echo
* extensions / CentralNotice
* extensions / Jade
* extensions / LiquidThreads
* extensions / SecurePoll
* extensions / WebDAV
* JeroenDeDauw / Maps
* SemanticMediaWiki / SemanticMediaWiki
* extensions / DynamicPageList
* extensions / FlaggedRevs
* extensions / Genealogy
* extensions / PageForms
* extensions / PageSchemas
* JeroenDeDauw / SubPageList
* examknow / CentralCheckUser
* extensions / Athena
* extensions / AutoCreateCategoryPages
* extensions / Babel
* extensions / BlogPage
* extensions / BlueSpiceChecklist
* extensions / BlueSpiceSMWConnector
* extensions / BlueSpiceSocialTopics
* extensions / CheckUser
* extensions / CloneDiff
* extensions / CommentStreams
* extensions / ConfirmAccount
* extensions / CreatedPagesList
* extensions / CreateRedirect
* extensions / CreateUserPage
* extensions / DataTransfer
* extensions / DisplayTitle
* extensions / FanBoxes
* extensions / FileImporter
* extensions / Form
* extensions / GWToolset
* extensions / HAWelcome
* extensions / LinkFilter
* extensions / MintyDocs
* extensions / MissedPages
* extensions / NewsTicker
* extensions / NewUserMessage
* extensions / OracleTextSearch
* extensions / ORES
* extensions / PageTriage
* extensions / Patroller
* extensions / PhabTaskGraph
* extensions / PhpTagsStorage
* extensions / PollNY
* extensions / PrivateDomains
* extensions / ReplaceText
* extensions / Scribunto
* extensions / SpamBlacklist
* extensions / SpamDiffTool
* extensions / SplitPrivateWiki
* extensions / TemplateStyles
* extensions / Thanks
* extensions / TranslateSvg
* extensions / UploadWizard
* extensions / Video
* extensions / WikiLexicalData
* extensions / WikimediaMaintenance
* extensions / Wikispeech
* femiwiki / Sanctions
* hexmode / mediawiki-PeriodicRelatedChanges
* lingua-libre / RecordWizard
* miraheze / CreateWiki
* mkroetzsch / AutoCreatePage
* Nikerabbit / mediawiki-extensions-Nimiarkisto
* Nikerabbit / mediawiki-extensions-Sanat
* Nikerabbit / mediawiki-extensions-Termbank
* Nikerabbit / mediawiki-extensions-WordNet
* SemanticMediaWiki / SemanticTasks
* Wikifab / AutoSetPageLang
* wikiworksdev / CloneDiff

Codesearch: https://codesearch.wmflabs.org/search/?q=-%3EdoEditContent%5C(&i=nope&files=%5C.php%24&repos=

Change 564170 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/OfflineImportLexicon@master] Remove global $wgUser, replace Article::doEditContent with WikiPage

https://gerrit.wikimedia.org/r/564170

DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.
DannyS712 updated the task description. (Show Details)Feb 13 2020, 5:27 AM

Change 564170 merged by jenkins-bot:
[mediawiki/extensions/OfflineImportLexicon@master] Remove global $wgUser, replace Article::doEditContent with WikiPage

https://gerrit.wikimedia.org/r/564170

Change 573037 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SemanticImageAnnotator@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573037

Change 573038 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MassEditRegex@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573038

Change 573039 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/BlueSpiceGroupManager@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573039

Change 573040 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SocialProfile@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573040

Change 573041 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/BlueSpiceFoundation@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573041

The actual use of $wgUser is in WikiPage::doEditContent

Change 573039 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceGroupManager@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573039

DannyS712 updated the task description. (Show Details)Feb 19 2020, 3:26 AM

Change 573038 merged by jenkins-bot:
[mediawiki/extensions/MassEditRegex@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573038

Change 573037 merged by jenkins-bot:
[mediawiki/extensions/SemanticImageAnnotator@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573037

DannyS712 updated the task description. (Show Details)Feb 19 2020, 4:41 AM

Change 573040 merged by Ppchelko:
[mediawiki/extensions/SocialProfile@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573040

Change 573041 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceFoundation@master] Replace Article::doEditContent with WikiPage::doEditContent

https://gerrit.wikimedia.org/r/573041

DannyS712 updated the task description. (Show Details)Feb 19 2020, 5:26 AM

Change 573067 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove Article::doEditContent, deprecated and unused

https://gerrit.wikimedia.org/r/573067

Change 573363 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Newsletter@master] Update comment to reference WikiPage instead of Article

https://gerrit.wikimedia.org/r/573363

Change 573363 abandoned by DannyS712:
Update comment to reference WikiPage instead of Article

Reason:
Wrong repo :(

https://gerrit.wikimedia.org/r/573363

Change 573364 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/NewUserMessage@master] Update comment to reference WikiPage instead of Article

https://gerrit.wikimedia.org/r/573364

Change 573364 merged by jenkins-bot:
[mediawiki/extensions/NewUserMessage@master] Update comment to reference WikiPage instead of Article

https://gerrit.wikimedia.org/r/573364

Change 573067 merged by jenkins-bot:
[mediawiki/core@master] Remove Article::doEditContent, deprecated and unused

https://gerrit.wikimedia.org/r/573067

DannyS712 closed this task as Resolved.Feb 19 2020, 9:39 PM
DannyS712 removed a project: Patch-For-Review.